Creates a new territory
Request Information
URI Parameters :
None.
Body Parameters :
sales_territory| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| description |
Description of the territory |
string |
Required |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "1d3a0647-e1bf-463c-975a-1b6d653121c4",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "f1a1f3d1-5087-49ad-adbd-a49941cedcd5",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "677a72ba-6d03-4795-848c-5fd596c39db5",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "c0d7e0c8-69a2-4bec-8aac-d64d25a10334",
"db_currency_id": "913df32e-f223-44c5-aa09-2a0cbf5a55f9",
"db_language_id": "279e7aa2-0795-4d2c-a9ad-d0b8063cf12c",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-27T09:50:06.6633942+00:00"
},
"modified_dateutc": "2026-10-27T09:50:06.6633942+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.